Bug 220765 - AssertionError: org.netbeans.api.autoupdate.InstallSupport@4a1c060a.listInvalid().isEmpty() but [OperationInfo: Editor Library 2[org.netbeans.modules.editor.lib2/1.70.0.38]] container: org.netbeans.ap
AssertionError: org.netbeans.api.autoupdate.InstallSupport@4a1c060a.listInval...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
7.3
All All
: P3 (vote)
: 8.0
Assigned To: Jiri Rechtacek
au-issues
EXCEPTIONS_REPORT
:
: 220766 221565 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 13:48 UTC by Exceptions Reporter
Modified: 2013-12-30 14:00 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (12.91 KB, text/plain)
2012-10-24 13:48 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2012-10-24 13:48:52 UTC
This bug was originally marked as duplicate of bug 128915, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build nbms-and-javadoc-9445-on-20120921)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.3-b01, Java(TM) SE Runtime Environment, 1.7.0_07-b11
OS: Windows 7

Stacktrace: 
java.lang.AssertionError: org.netbeans.api.autoupdate.InstallSupport@4a1c060a.listInvalid().isEmpty() but [OperationInfo: Editor Library 2[org.netbeans.modules.editor.lib2/1.70.0.38]] container: org.netbeans.api.autoupdate.OperationContainer@75d0a088+org.netbeans.modules.autoupdate.services.OperationContainerImpl@53db7d25
java.lang.Exception: Added operation: OperationInfo: CSS Library[org.netbeans.modules.css.lib/1.17]
	at org.netbeans.modules.autoupdate.services.OperationContainerImpl.add(OperationContainerImpl.java:166)
	at org.netbeans.api.autoupdate.OperationContainer.add(OperationContainer.java:294)
	at org.netbeans.api.autoupdate.OperationContainer.add(OperationContainer.java:306)
	at org.netbeans.modules.autoupdate.ui.wizards.OperationWizardModel.addRequiredElements(OperationWizardModel.java:548)
	at org.netbeans.modules.autoupdate.ui.wizards.OperationWizardModel.getRequiredUpdateElements(OperationWizardModel.java:175)
	at org.netbeans.modules.autoupdate.ui.wizards.OperationDescriptionStep$1.run(Opera
   at org.netbeans.modules.autoupdate.ui.wizards.InstallStep.handleDownload(InstallStep.java:240)
   at org.netbeans.modules.autoupdate.ui.wizards.InstallStep.doDownloadAndVerificationAndInstall(InstallStep.java:210)
   at org.netbeans.modules.autoupdate.ui.wizards.InstallStep.access$200(InstallStep.java:105)
   at org.netbeans.modules.autoupdate.ui.wizards.InstallStep$2.run(InstallStep.java:202)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
   at org.openide.util.RequestProcessor$Processor.doEvaluate(RequestProcessor.java:2083)
Comment 1 Exceptions Reporter 2012-10-24 13:48:56 UTC
Created attachment 126476 [details]
stacktrace
Comment 2 Jiri Rechtacek 2012-10-24 15:06:37 UTC
*** Bug 220766 has been marked as a duplicate of this bug. ***
Comment 3 Jiri Rechtacek 2013-06-28 12:27:05 UTC
*** Bug 221565 has been marked as a duplicate of this bug. ***
Comment 4 Jiri Rechtacek 2013-12-30 14:00:38 UTC
The fixes in NetBeans 8.0 - http://hg.netbeans.org/core-main/rev/f181eb3935e9 and http://hg.netbeans.org/core-main/rev/675835cf1475 should fix this.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo